Subject: Re: minimal installation
From: wefwef wefwef <[email-masked]>
To: [email-masked]
Date: Fri, 2 Apr 2010 17:39:04 +0300
List-Id: <cygwin.cygwin.com>

It's a fresh install that has to be kept under about 60-70 MB.
The default install is 500 MB, so I can't just accept the defaults.
The base package is an acceptable size at 40 MB - but it doesn't
include the extra packages I need. When I add them in it doesn't work.

On Fri, Apr 2, 2010 at 5:27 PM, Jason Pyeron <[email-masked]> wrote:
>
>
>> -----Original Message-----
>> From: wefwef wefwef
>> Sent: Friday, April 02, 2010 8:59
>> Subject: minimal installation
>>
>> I am trying to do a minimal cygwin install plus vi, ssh, 7z,
>> ping, and rsync.
>>
>> The reason it has to be minimal is that I want to deploy it
>> to several pc's that don't have internet access - and are in
>> a different country (ie slow transfer) - to deploy the full
>> 500mb default would be too slow.
>>
>> I have tried installing only base plus the packages mentioned
>> by setting all categories to uninstall and then setting base
>> to default.
>
> Those procedures seem overly complicated.
>
> Hmm, do the machines have Cygwin on them and this is an upgrade or is this a
> fresh install.
>
> No previous cygwin case:
> Run Setup.exe
> Leave all on default except the chosen packages. Install... Done.
>
> Previous cygwin installed case:
> Remove cygwin.
> Run Setup.exe
> Leave all on default except the chosen packages. Install... Done.
>
> Special case cygwin installed with packages user wants to keep:
> User runs setup.exe (on user's time)
> Changes no options (upgrades all installed cygwin)
> Run Setup.exe
> Leave all as is except the chosen packages (if not installed). Install... Done.
>
>
>> Then switching to full view, and selecting the extra
>> packages. I deployed this to one of my remote pc's, and
>> installed from the local directory. I noticed that at this
>> point even when I selected Install at the top to get a full
>> install from the local directory, it still left out the extra
>> packages, and I have to change these by hand from skip to the
>> version number.
>>
>> When it was all installed, I tried running ssh and got the error
>> message: error while loading shared libraries: cygssp-0.dll:
>> cannot open shared object file: No such file or directory.
>>
>> I suspect what has happened is that cygwin has got confused
>> about what packages I already have. Since I already have a
>> full local cygwin installation, it is possibly skipping the
>> needed libraries since it thinks I have them already. Well, I
>> do, but they are not in the local directory that I am going
>> to deploy to my remote pc.
>>
>> Does anyone know how to do a minimal installation (ie sub
>> 60mb) that works?
>>
>> --
>> Problem reports:       http://cygwin.com/problems.html
>> FAQ:                   http://cygwin.com/faq/
>> Documentation:         http://cygwin.com/docs.html
>> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>>
>>
>
>
>
> --
> -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
> -                                                               -
> - Jason Pyeron                      PD Inc. http://www.pdinc.us -
> - Principal Consultant              10 West 24th Street #100    -
> - +1 (443) 269-1555 x333            Baltimore, Maryland 21218   -
> -                                                               -
> -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
> This message is copyright PD Inc, subject to license 20080407P00.
>
>
> --
> Problem reports:       http://cygwin.com/problems.html
> FAQ:                   http://cygwin.com/faq/
> Documentation:         http://cygwin.com/docs.html
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>
>

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple